Bug 8544 - samba-tool user subcommands (add and setpassword) doesn't support random passwords
samba-tool user subcommands (add and setpassword) doesn't support random pass...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
unspecified
All All
: P5 enhancement
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-23 06:10 UTC by Geza Gemes
Modified: 2011-11-07 17:00 UTC (History)
1 user (show)

See Also:


Attachments
The patch adds random password capability to the relevant samba-tool user subcommands (4.01 KB, patch)
2011-10-23 06:10 UTC, Geza Gemes
no flags Details
The patch adds random password capability to the relevant samba-tool user subcommands (4.00 KB, patch)
2011-10-23 07:51 UTC, Geza Gemes
no flags Details
The patch adds random password capability to the relevant samba-tool user subcommands (3.04 KB, patch)
2011-10-25 15:27 UTC, Geza Gemes
no flags Details
The patch adds random password capability to the relevant samba-tool user subcommands (3.04 KB, patch)
2011-10-25 15:55 UTC, Geza Gemes
no flags Details
The patch adds random password capability to the relevant samba-tool user subcommands (2.88 KB, patch)
2011-10-25 19:10 UTC, Geza Gemes
no flags Details
Changed None->False (2.88 KB, patch)
2011-10-29 15:12 UTC, Geza Gemes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Geza Gemes 2011-10-23 06:10:09 UTC
Created attachment 7022 [details]
The patch adds random password capability to the relevant samba-tool user subcommands

While the kadmin interface of the Heimdal KDC does support setting random passwords for principals, the samba-tool (which tries somehow to resemble it) doesn't.
Comment 1 Geza Gemes 2011-10-23 07:51:15 UTC
Created attachment 7023 [details]
The patch adds random password capability to the relevant samba-tool user subcommands
Comment 2 Geza Gemes 2011-10-25 15:27:19 UTC
Created attachment 7030 [details]
The patch adds random password capability to the relevant samba-tool user subcommands
Comment 3 Matthias Dieter Wallnöfer 2011-10-25 15:31:49 UTC
Jelmer, do you think that this new version of the patch works for us?
Comment 4 Geza Gemes 2011-10-25 15:55:48 UTC
Created attachment 7031 [details]
The patch adds random password capability to the relevant samba-tool user subcommands

Fixed a missing semicolon in the previous patch
Comment 5 Geza Gemes 2011-10-25 19:10:21 UTC
Created attachment 7033 [details]
The patch adds random password capability to the relevant samba-tool user subcommands

Directly import generate_random_password from samba, instead of fiddling whit its internals
Comment 6 Geza Gemes 2011-10-29 15:12:11 UTC
Created attachment 7044 [details]
Changed None->False
Comment 7 Matthias Dieter Wallnöfer 2011-11-07 17:00:35 UTC
I've managed to fix your patch with an errata (there was a small error regarding parameter handling). Both are currently tested in autobuild and should soon appear in "master".